Request Invite
Requests an invite from a user. Returns the Notification of type requestInvite that was sent.
Authorization
authCookie Auth Token via Cookie
In: cookie
Path Parameters
Must be a valid user ID.
Request Body
application/json
Slot number of the Request Message to use when request an invite.
Response Body
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/requestInvite/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "frq_00000000-0000-0000-0000-000000000000",
"type": "friendRequest",
"created_at": "2021-01-01T00:00:00.000Z",
"details": "{}",
"message": "",
"seen": false,
"senderUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}{
"error": {
"message": "\"You need to be friends with that user first.\"",
"status_code": 403
}
}Request Invite with photo POST
Requests with photo an invite from a user. Returns the Notification of type `requestInvite` that was sent.
Reset Invite Message DELETE
Resets a single Invite Message back to its original message, and then returns a list of all of them. Admin Credentials are required to update messages of other users! Resetting a message respects the rate-limit, so it is not possible to reset within the 60 minutes countdown. Resetting it does however not set the rate-limit to 60 like when editing it. It is possible to edit it right after resetting it. Trying to edit a message before the cooldown timer expires results in a 429 "Too Fast Error". Message type refers to a different collection of messages, used during different types of responses. * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite The DELETE endpoint does not have/require any request body.